# module ActiveRecord::ConnectionAdapters::QueryCache::ConnectionPoolConfiguration

### Public Class Methods

new(*) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/query_cache.rb, line 25
    def initialize(*)
      super
      @query_cache_enabled = Concurrent::Map.new { false }
    end

### Public Instance Methods

disable_query_cache!() click to toggle source

    # File lib/active_record/connection_adapters/abstract/query_cache.rb, line 35
    def disable_query_cache!
      @query_cache_enabled.delete connection_cache_key(Thread.current)
      connection.disable_query_cache! if active_connection?
    end

enable_query_cache!() click to toggle source

    # File lib/active_record/connection_adapters/abstract/query_cache.rb, line 30
    def enable_query_cache!
      @query_cache_enabled[connection_cache_key(Thread.current)] = true
      connection.enable_query_cache! if active_connection?
    end

query_cache_enabled() click to toggle source

    # File lib/active_record/connection_adapters/abstract/query_cache.rb, line 40
    def query_cache_enabled
      @query_cache_enabled[connection_cache_key(Thread.current)]
    end